Kubernetes
probe Node

# all_nodes_must_be_ready_to_schedule

Verifies that all nodes in the cluster are in Ready condition and can be scheduled.

Run it now
View details

Type | probe
Module | chaosk8s.node.probes
Name | all_nodes_must_be_ready_to_schedule
Return | boolean

Usage

JSON

    {
      "name": "all-nodes-must-be-ready-to-schedule",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosk8s.node.probes",
        "func": "all_nodes_must_be_ready_to_schedule"
      }
    }

YAML

    name: all-nodes-must-be-ready-to-schedule
    provider:
      func: all_nodes_must_be_ready_to_schedule
      module: chaosk8s.node.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---

Verifies that all nodes in the cluster are in Ready condition and can be scheduled.

Signature

    def all_nodes_must_be_ready_to_schedule(
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- Kubernetes
  action Node

  ## `create_node`

  Create one new node in the cluster
- Kubernetes
  probe Node

  ## `verify_nodes_condition`

  Verify the condition value for a set of nodes
- Kubernetes
  action Node

  ## `cordon_node`

  Cordon nodes matching the given label or name, so that no pods are scheduled on them any longer